#ifndef _TEST_APP
#define _TEST_APP

#include "ofMain.h"
#include "ofPlayingCard.h"
#include <vector>

class testApp : public ofSimpleApp {
	
	public:
		
		void setup();
		void update();
		void draw();
		
		void placeNewCard(int x, int y);
		void sortCards();
		void calculateDistanceBetweenCards();
		bool compareCardPos(const ofPlayingCard *& cardA, const ofPlayingCard *& cardB);
		bool compareCardPos2(ofPlayingCard & cardA, ofPlayingCard & cardB);
		
		void keyPressed(int key);
		void keyReleased(int key);
		void mouseMoved(int x, int y );
		void mouseDragged(int x, int y, int button);
		void mousePressed(int x, int y, int button);
		void mouseReleased();
		
		vector<ofPlayingCard *> cards;
		
		int deckState;
		int cardSelected;
		int nextCard;
		int nextSuit;
		
		int tempo;
		int currentCard;
		int elapsedTime, lastTime;
		
		bool rotateCard;
		bool removeCard;

};

#endif	

