#ifndef _OF_PLAYING_CARD
#define _OF_PLAYING_CARD


#include "ofMain.h"


class ofPlayingCard {
	
	public:
	
		ofPlayingCard();
		ofPlayingCard(int x_, int y_);
		
		void draw();
		bool ifCornerClicked(int mouseX, int mouseY);
		bool ifCardClicked(int mouseX, int mouseY);
		void setCardNumber(int i);
		void setCardSuit(int i);
		
		int alpha;
		int width, height;
		int x, y;
		int rotation;
		int suit;  // 0=hearts 1=clubs 2=diamonds 3=spades
		int num;
		string cardNumAsString;
		
		bool selected;
		
		ofTrueTypeFont franklinBook;
		
		int duration;
		int lastTime;

};

#endif	

