

#include "ofPolySynth.h"

ofPolySynth::ofPolySynth(){

	sampleRate = 44100;

	ofSoundStreamSetup(2, 0, this, sampleRate, 256, 4);
	
}

void ofPolySynth::audioRequested(float * output, int bufferSize, int nChannels){	

	float tmpBuffer[256];
	
	for(int b=0; b<256; b++){
	
		tmpBuffer[b] = 0;
	}

	for(int i=0; i<voice.size(); i++){
	
		voice[i]->update();
		
		for(int b=0; b<bufferSize; b++){
		
			tmpBuffer[b] +=  voice[i]->buffer[b];
			
		}
	
	}
	
	for(int b=0; b<bufferSize; b++){
		
			output[b*nChannels] =  tmpBuffer[b];
			output[b*nChannels + 1] =  tmpBuffer[b];
		
	}
}